# rax_dns – Manage domains on Rackspace Cloud DNS

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## Synopsis

- Manage domains on Rackspace Cloud DNS

## Requirements

The below requirements are needed on the host that executes this module.

- pyrax
- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_key string |  | Rackspace API key, overrides credentials. aliases: password
auth_endpoint - | Default: "https://identity.api.rackspacecloud.com/v2.0/" | The URI of the authentication service.
comment - |  | Brief description of the domain. Maximum length of 160 characters
credentials path |  | File to find the Rackspace credentials in. Ignored if api_key and username are provided. aliases: creds_file
email - |  | Email address of the domain administrator
env string |  | Environment as configured in ~/.pyrax.cfg, see https://github.com/rackspace/pyrax/blob/master/docs/getting_started.md#pyrax-configuration.
identity_type - | Default: "rackspace" | Authentication mechanism to use, such as rackspace or keystone.
name - |  | Domain name to create
region string | Default: "DFW" | Region to create an instance in.

state
-

Choices:
- present ←
- absent

Indicate desired state of the resource

tenant_id - |  | The tenant ID used for authentication.
tenant_name - |  | The tenant name used for authentication.
ttl - | Default: 3600 | Time to live of domain in seconds
username string |  | Rackspace username, overrides credentials.

validate_certs
boolean

Choices:
- no
- yes

Whether or not to require SSL validation of API endpoints.
aliases: verify_ssl

## Notes

Note

- It is recommended that plays utilizing this module be run with `serial: 1` to avoid exceeding the API request limit imposed by the Rackspace CloudDNS API
- The following environment variables can be used, `RAX_USERNAME`, `RAX_API_KEY`, `RAX_CREDS_FILE`, `RAX_CREDENTIALS`, `RAX_REGION`.
- `RAX_CREDENTIALS` and `RAX_CREDS_FILE` points to a credentials file appropriate for pyrax. See https://github.com/rackspace/pyrax/blob/master/docs/getting_started.md#authenticating
- `RAX_USERNAME` and `RAX_API_KEY` obviate the use of a credentials file
- `RAX_REGION` defines a Rackspace Public Cloud region (DFW, ORD, LON, ...)
- The following environment variables can be used, `RAX_USERNAME`, `RAX_API_KEY`, `RAX_CREDS_FILE`, `RAX_CREDENTIALS`, `RAX_REGION`.
- `RAX_CREDENTIALS` and `RAX_CREDS_FILE` points to a credentials file appropriate for pyrax. See https://github.com/rackspace/pyrax/blob/master/docs/getting_started.md#authenticating
- `RAX_USERNAME` and `RAX_API_KEY` obviate the use of a credentials file
- `RAX_REGION` defines a Rackspace Public Cloud region (DFW, ORD, LON, ...)

## Examples

    - name: Create domain
      hosts: all
      gather_facts: False
      tasks:
        - name: Domain create request
          local_action:
            module: rax_dns
            credentials: ~/.raxpub
            name: example.org
            email: admin@example.org
          register: rax_dns

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Matt Martz (@sivel)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.